import 'package:flutter/material.dart';

class PlantRowSpace extends StatelessWidget {
  final double verticalSpace;

  const PlantRowSpace({
    Key? key,
    required this.verticalSpace,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(5),
      height: 100,
      width: 100,
      decoration: BoxDecoration(
        color: Colors.brown,
        borderRadius: BorderRadius.circular(8),
      ),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset(
            'lib/assets/layout/height-64.png',
            height: 32,
            width: 32,
          ),
          Text(
            '${verticalSpace.toStringAsFixed(2)} m',
            style: const TextStyle(color: Colors.white),
          ),
        ],
      ),
    );
  }
}
